Subject: Re: bug#4033: 23.1; list-colors-display is misleading

From: Jason Rumney <[email-masked]>
Date: Wed, 05 Aug 2009 06:59:38 +0800

Drew Adams wrote:
>> 16-bit RGB components is what Emacs uses internally, IIRC.  That is
>> the reason we show each one as two letters.
>>     
>
> Is that right? Could you please check about this?
>   
Emacs uses 16 bit components internally, because that is what X uses in 
its APIs. I'm not aware of any graphics driver that allows more than 8 
bit granularity though, and on Windows you are restricted to 8 bit by 
the API anyway.